HyperlinkEvent.EventType (Java Platform SE 8 )
Keywords: javax.swing.event.HyperlinkEvent.EventType class
Date: 2016-04-24

javax.swing.event

## Class HyperlinkEvent.EventType

- java.lang.Object
- - javax.swing.event.HyperlinkEvent.EventType

- Enclosing class:
    HyperlinkEvent

      public static final class HyperlinkEvent.EventType
      extends Object

  Defines the ENTERED, EXITED, and ACTIVATED event types, along with their string representations, returned by toString().

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static HyperlinkEvent.EventType` | `ACTIVATED` Activated type.
    `static HyperlinkEvent.EventType` | `ENTERED` Entered type.
    `static HyperlinkEvent.EventType` | `EXITED` Exited type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` Converts the type to a string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ENTERED

          public static final HyperlinkEvent.EventType ENTERED

      Entered type.

    - #### EXITED

          public static final HyperlinkEvent.EventType EXITED

      Exited type.

    - #### ACTIVATED

          public static final HyperlinkEvent.EventType ACTIVATED

      Activated type.

  - ### Method Detail

    - #### toString

          public String toString()

      Converts the type to a string.
      Overrides:
        `toString` in class `Object`
      Returns:
        the string

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.